%define oramajor 12.1
%define oravers 12.1.0.2
%define oracleverfull 12.1.0.2.0-1


Summary: META package for the ORACLE instantclient
Name: oracle-instantclient-basic
Version: %{oramajor}
Release: 3%{?dist}
Source0: oracle-instantclient-x86_64.conf
License: GPL
Group: Applications/File
BuildRoot: %{_tmppath}/%{name}-root
ExclusiveArch: x86_64
Requires: oracle-instantclient%{oramajor}-basic >= %{oracleverfull}

Provides: oracle-instantclient-basic = %{oramajor}

# Original Oracle Instanclient does not provide these ...:
Provides: libclntsh.so.12.1()(64bit)
Provides: libocci.so.12.1()(64bit)
#Provides: libclntshcore.so.12.1()(64bit)
Provides: libnnz12.so()(64bit)
#Provides: liboramysql12.so()(64bit)
#...

%package -n oracle-instantclient-devel
Summary: META package for the ORACLE instantclient
Requires: oracle-instantclient%{oramajor}-devel >= %{oracleverfull}
Requires: oracle-instantclient-basic = %{oramajor}


%description -n oracle-instantclient-devel
This META package adds rpm provides missing in original Oracle
InstantClient packages and configures system LD_LIBRARY_PATH

%description
This META package adds rpm provides missing in original Oracle
InstantClient packages and configures system LD_LIBRARY_PATH


%install

mkdir -p $RPM_BUILD_ROOT/etc/ld.so.conf.d/
install -m 644 %SOURCE0 $RPM_BUILD_ROOT/etc/ld.so.conf.d/

%clean
rm -rf $RPM_BUILD_ROOT

%post

/usr/sbin/ldconfig ||:

%postun

/usr/sbin/ldconfig ||:

%files
%defattr(-,root,root)
/etc/ld.so.conf.d/oracle-instantclient-x86_64.conf

%files -n oracle-instantclient-devel
%defattr(-,root,root)



%changelog
* Mon Oct 27 2014 Matthias Schroder <Matthias.Schroder@cern.ch> - 12.1-3
- enable provide for libnnz12.so

* Fri Sep 12 2014 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> - 12.1-2
- fix reqs/provs.

* Wed Sep 10 2014 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> - 12.1.0.2
- el7 initial build

